<?php
  function dd ($val) {
    echo '<pre>';
    var_dump($val);
    echo '</pre>';
    die();
  }

  function lolilog (string $val, string $mode='info'): bool {
    if (!$file = fopen('./lolilog', 'a+')) {
      dd('lolilogファイルを開けられません。');
      return false;
    }

    $time = time();
    $logtext = '['.date('Y-m-d H:i:s T', $time).' ('.$time.') - '.mb_strtoupper($mode)."]\n".$val."\n\n";

    if (fwrite($file, $logtext) === false) {
      dd('lolilogファイルに書き出しに失敗しました。');
      return false;
    }

    fclose($file);
    return true;
  }
?>
