<?php
function request (string $name): array {
  if (isset($_POST[$name])) {
    return ['post' => htmlspecialchars($name)];
  }
  else if (isset($_GET[$name])) {
    return ['get' => htmlspecialchars($name)];
  }
  else if (isset($_REQUEST[$name])) {
    return ['request' => htmlspecialchars($name)];
  }

  return ['error' => ''];
}

function request_all (): array {
  $res = [];
  if (!empty($_POST)) {
    $res['post'] = [];
    foreach ($_POST as $k => $v) $res['post'][$k] = htmlspecialchars($v);
  }
  if (!empty($_GET)) {
    $res['get'] = [];
    foreach ($_GET as $k => $v) $res['get'][$k] = htmlspecialchars($v);
  }
  if (!empty($_REQUEST)) {
    $res['request'] = [];
    foreach ($_REQUEST as $k => $v) $res['request'][$k] = htmlspecialchars($v);
  }

  return $res;
}
?>
