<?php
  require_once('../src/config.php');
  require_once('../helper.php');
  $path = $_SERVER['REQUEST_URI'] == '/' ? '/home' : $_SERVER['REQUEST_URI'];
  if (!file_exists('../src'.$path.'/index.php')) $path = '/404';

  require_once('../src'.$path.'/index.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemalocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd" lang="ja" xml:lang="ja">
<head>
  <meta content="text/html; charset=utf-8" http-equiv="content-type" />
  <meta name="title" content="<?php echo $sitename.': '.$title; ?>" />
  <meta name="description" content="<?php echo $sitedesc; ?>" />
  <meta property="og:title" content="<?php echo $sitename; ?>" />
  <meta property="og:type" content="website" />
  <meta property="og:locale" content="ja_JP" />
  <meta property="og:site_name" content="<?php echo $sitename.': '.$title; ?>" />
  <meta property="og:url" content="<?php echo $siteurl; ?>" />
  <meta property="og:image" content="./static/<?php echo $thumbnail; ?>" />
  <title><?php echo $sitename.': '.$title; ?></title>
  <link rel="stylesheet" type="text/css" href="./static/style.css" />
</head>
<body>
  <?php include_once($childview); ?>
</body>
</html>
